Package org.apache.ignite.internal.util

## Interface GridSerializableIterator<E>

All Superinterfaces:
  `Iterator<E>`, `Serializable`

All Known Subinterfaces:
  `CacheWeakQueryIteratorsHolder.WeakReferenceCloseableIterator<T>`, `GridCloseableIterator<T>`, `GridIterable<T>`, `GridIterator<T>`, `IgniteHistoricalIterator`, `IgniteRebalanceIterator`, `WALIterator`

All Known Implementing Classes:
  `AbstractScanQueryIterator`, `AbstractWalRecordsIterator`, `CacheQueryReducer`, `CacheWeakQueryIteratorsHolder.WeakQueryCloseableIterator`, `FilteredWalIterator`, `FlatIterator`, `GridCacheIterator`, `GridCloseableIteratorAdapter`, `GridCloseableIteratorAdapterEx`, `GridEmptyCloseableIterator`, `GridEmptyIterator`, `GridIterableAdapter`, `GridIterableAdapter.IteratorWrapper`, `GridIteratorAdapter`, `GridSpiCloseableIteratorWrapper`, `IgniteRebalanceIteratorImpl`, `IgniteSingletonIterator`, `IndexQueryReducer`, `ScanQueryIterator`, `SingleSegmentLogicalRecordsIterator`, `TextQueryReducer`, `TransformFilteringIterator`, `UnsortedCacheQueryReducer`

    public interface GridSerializableIterator<E>
    extends Iterator<E>, Serializable

Makes `Iterator` as `Serializable` and is useful for making anonymous serializable iterators.

### Method Summary

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`